﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DropDownItemManager : MonoBehaviour
{

    public GameObject dropDownItem, dropDownItemBone, dropDownItemBowl, dropDownItemBed, dropDownItemMail, dropDownItemChocolate;
    public int[] pickUpItemSpawnOrder1 = {1, 2, 3};
    public float spawnTime = 100f;            // How long between each spawn.
    public Vector3 spawnPoint;
    public int itemCount;

    // Start is called before the first frame update
    void Start()
    {
        spawnPoint = new Vector3(-3f, 15f, 0f);
        //spawnPoint.position = new Vector3(14f, -2.5f, 0f);
        //InvokeRepeating("Spawn", spawnTime, spawnTime);
        
    }

    void Update()
    {
        if(GameManager.item.Count > 0)
        {
            var item = GameManager.item[GameManager.item.Count - 1];

            Spawn(item);

            GameManager.item.Remove(item);

        }
    }
    void Spawn(int itemType)
    {
        switch(itemType){
            case 0:
                dropDownItem = dropDownItemBone;
                break;
            case 1:
                dropDownItem = dropDownItemBowl;
                break;
            case 2:
                dropDownItem = dropDownItemChocolate;
                    break;
            case 3:
                dropDownItem = dropDownItemMail;
                break;
            case 4:
                dropDownItem = dropDownItemBed;
                break;
        }

        transform.position = spawnPoint;
        

        // Find a random index between zero and one less than the number of spawn points.
        transform.Translate( Vector3.right * Random.Range(-2f, 2f));

        // Create an instance of the enemy prefab at the randomly selected spawn point's position and rotation.
        Instantiate(dropDownItem, transform.position, transform.rotation);
    }
    
}
