﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PickUpItemController : MonoBehaviour
{

    public Rigidbody2D rBody;
    public float speed = 1;
    public float timeTillDestroy = 5;
    //public BoxCollider2D itemHitbox;
    public bool itemCollectable = false;
    bool flingItem;
    int itemNum;
    public SpriteRenderer sprite;


    // Start is called before the first frame update
    void Start()
    {
        //set sprite and variable to pass the type of sprite
        flingItem = false;
        if(sprite.sprite.name == "bone")
        {
            itemNum = 0;
        }
        if (sprite.sprite.name == "bowl")
        {
            itemNum = 1;
        }
        if (sprite.sprite.name == "chocolate")
        {
            itemNum = 2;
        }
        if (sprite.sprite.name == "mailman")
        {
            itemNum = 3;
        }
        if (sprite.sprite.name == "bed")
        {
            itemNum = 4;
        }
    }

    // Update is called once per frame
    void Update()
    {
        rBody.velocity = new Vector2(-speed, 0);
        
        if(Input.GetKey(KeyCode.Space) && itemCollectable && !flingItem)
        {
            Debug.Log(sprite.sprite.name);
            Destroy(gameObject, timeTillDestroy);
            flingItem = true;
            GameManager.item.Add(itemNum);

            if(sprite.sprite.name == "bed" || sprite.sprite.name == "bone" || sprite.sprite.name == "bowl")
            {
                GameManager.score++;
            }
            else
            {
                GameManager.score--;
            }
        }

        if (flingItem)
        {
            rBody.velocity = new Vector2(0, 5);
        }

    }

    void OnTriggerEnter2D(Collider2D other)
    {
        if (other.name == "rocketDog")
        {
            itemCollectable = true;


        }
    }

    private void OnTriggerExit2D(Collider2D collision)
    {
        if (collision.name == "rocketDog")
        {
            itemCollectable = false;

        }
    }
}
